=== debian/changelog ===
coz-profiler (0.0.git.20161011T1320-2) unstable; urgency=medium

  * Corrected Vcs links in d/control.
  * Add missing build dependency pkg-config. (Closes: #844015)
  * Added missing python-docutils build dependency to makae rst2man available.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 12 Nov 2016 07:57:22 +0000

coz-profiler (0.0.git.20161011T1320-1) unstable; urgency=medium

  * Initial upload (Closes: #830708).
    - Include both master and gh-pages branch from upstream.
  * Changed package to use jquery and awesome font from Debian instead
    of embedding them.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 31 Oct 2016 11:22:28 +0000
