=== debian/rules ===
#!/usr/bin/make -f

DESTDIR = debian/coz-profiler

get-orig-source:
	debian/get-orig-source

export DH_VERBOSE=1

%:
	dh $@

# Generate manual page from RST document
debian/coz.1: debian/coz.rst
	rst2man $< > $@
override_dh_installman: debian/coz.1
	dh_installman
override_dh_install:
	dh_install

	# Use jquery from Debian instead of embedded copy
	$(RM) $(DESTDIR)/usr/share/coz-profiler/viewer/lib/jquery.min.js
	ln -s /usr/share/javascript/jquery/jquery.min.js \
	   $(DESTDIR)/usr/share/coz-profiler/viewer/lib/jquery.min.js

	# Use fonts-font-awesome from Debian instead of embedded copy
	$(RM) -r $(DESTDIR)/usr/share/coz-profiler/viewer/lib/font-awesome
	ln -s /usr/share/fonts-font-awesome \
	   $(DESTDIR)/usr/share/coz-profiler/viewer/lib/font-awesome

	# Remove redundant license file
	$(RM) $(DESTDIR)/usr/share/coz-profiler/viewer/lib/science/LICENSE.txt

override_dh_auto_test:
	$(MAKE) check

override_dh_auto_build:
	dh_auto_build -- CC=cc CXX=c++ GIT=true
