=== debian/tests/control ===
Depends: @
Tests: test-coz-run-ls
