## coz-profiler 0.0.git.20161130T1802

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 ROOT := .
-DIRS := libcoz
+DIRS := libcoz viewer
 
 include $(ROOT)/common.mk
