=== debian/changelog ===
coz-profiler (0.0.git.20161130T1802-2) unstable; urgency=medium

  [ Lluís Vilanova ]
  * Reverted 36c9b5e to remove useless 04-make-check patch
  * Added 06-viewer-install.patch to align viewer makefile with
    common.mk (fixes #846538).
  * Added 07-coz-plot.patch to hint users how to use the viewer

  [ Petter Reinholdtsen ]
  * Adjusted 07-coz-plot.patch to suggest opening HTML page using xdg-open.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 03 Dec 2016 08:58:39 +0000

coz-profiler (0.0.git.20161130T1802-1) unstable; urgency=medium

  [ Lluís Vilanova ]
  * Fetched new upstream release from upstream git.
  * Adjusted 01-system-libelfin.patch, part of it is now upstream.
  * Removed 02-portable-spinlock.patch now included upstream.
  * Added 02-common-pwd.patch to fix use of PWD in common.mk.
  * Added 03-viewer-build.patch to drop apparenly redundant npm call
    during build.
  * Added 04-make-check.patch to make sure test binary have debug
    information.

  [ Petter Reinholdtsen ]
  * Added 05-revert-in-scope-error.patch to revert upstream commit
    breaking self test.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 30 Nov 2016 21:15:35 +0000

coz-profiler (0.0.git.20161011T1320-3) unstable; urgency=medium

  * Change architecture from any to linux-any, as the code depend on
    internal Linux perf syscalls (Closes: #844024).
  * Added 02-portable-spinlock.patch from upstream to make spinlock
    implementation portable (Closes: #844017).
  * Adjusted autopkgtest setup to allow stderr output.
  * Added new autopkgtest script test-coz-run-simple for testing a
    multithreaded program with debug info.
  * Build-depend on libelfin-dev (>= 0.2) to ensure we link using the
    new SONAME.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 16 Nov 2016 08:22:09 +0000
