=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  , clang
  , python
  , pkg-config
- , libelfin-dev
+ , libelfin-dev (>= 0.2)
  , fonts-font-awesome
  , libjs-jquery
  , python-docutils
@@ -18,7 +18,7 @@
 Vcs-Git: https://anonscm.debian.org/git/pkg-coz/coz-profiler.git
 
 Package: coz-profiler
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
  , python
  , fonts-font-awesome
