## coz-profiler 0.1.0

=== benchmarks/Makefile ===
ROOT := ..
DIRS := histogram kmeans linear_regression matrix_multiply \
        pbzip2 pca producer_consumer string_match toy word_count

include $(ROOT)/common.mk
