=== libcoz/Makefile ===
--- 
+++ 
@@ -8,8 +8,8 @@
 
 check:: libcoz.so
 	printf "int main(int argc, char *argv[])\n{\nreturn (0);\n}\n" > x.c
-	gcc -Wl,-rpath,`pwd` -o x x.c libcoz.so -ldl || ( $(RM) x x.c ; exit 1)
-	./x
+	gcc -g -o x x.c || ( $(RM) x x.c ; exit 1)
+	../coz run --- ./x
 	if grep -q time= profile.coz; then echo success: coz profiler ran as it should.; fi
 	$(RM) -f x.c x profile.coz
