=== viewer/Makefile ===
ROOT = ..

all:
	npm install

clean:
