=== debian/changelog ===
coz-profiler (0.1.0-1ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - Fix FTBFS when linked with -Wl,--as-needed

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 01 Feb 2017 19:32:45 +0200

coz-profiler (0.1.0-1) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Started on upstream/metadata file.

  [ Lluís Vilanova ]
  * Add watch file for upstream releases
  * Change the package section into 'devel' (Closes: #848397).

  [ Petter Reinholdtsen ]
  * Changed d/rules to only run test suite when kernel
    perf_event_paranoid value is 2 or less.  (Closes: #844633)
  * Changed to use libjs-d3 and libjs-d3-tip from Debian instead of
    embedded copies.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 20 Dec 2016 21:45:34 +0000

coz-profiler (0.0.git.20161130T1802-2ubuntu1) zesty; urgency=medium

  * Fix FTBFS when linked with -Wl,--as-needed

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 14 Dec 2016 21:14:00 +0200
