=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: coz-profiler
-Section: net
+Section: devel
 Priority: optional
-Maintainer: Lluís Vilanova <vilanova@ac.upc.edu>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Lluís Vilanova <vilanova@ac.upc.edu>
 Uploaders: Petter Reinholdtsen <pere@debian.org>
 Build-Depends: debhelper (>= 9~)
  , clang
@@ -10,6 +11,8 @@
  , libelfin-dev (>= 0.2)
  , fonts-font-awesome
  , libjs-jquery
+ , libjs-d3
+ , libjs-d3-tip
  , python-docutils
 Testsuite: autopkgtest
 Standards-Version: 3.9.8
@@ -23,6 +26,8 @@
  , python
  , fonts-font-awesome
  , libjs-jquery
+ , libjs-d3
+ , libjs-d3-tip
 Description: Finding Code that Counts with Causal Profiling
  Coz is a code profiler that find optimization opportunities
  missed by traditional profilers. Coz employs a technique called
