=== debian/rules ===
--- 
+++ 
@@ -18,10 +18,18 @@
 override_dh_install:
 	dh_install
 
-	# Use jquery from Debian instead of embedded copy
+	# Use jquery, d3 and d3-tip from Debian instead of embedded copy
 	$(RM) $(DESTDIR)/usr/share/coz-profiler/viewer/lib/jquery.min.js
 	ln -s /usr/share/javascript/jquery/jquery.min.js \
 	   $(DESTDIR)/usr/share/coz-profiler/viewer/lib/jquery.min.js
+
+	$(RM) $(DESTDIR)/usr/share/coz-profiler/viewer/lib/d3/d3.min.js
+	ln -s /usr/share/javascript/d3/d3.min.js \
+	   $(DESTDIR)/usr/share/coz-profiler/viewer/lib/d3/d3.min.js
+
+	$(RM) $(DESTDIR)/usr/share/coz-profiler/viewer/lib/d3/d3-tip.min.js
+	ln -s /usr/share/javascript/d3-tip/d3-tip.min.js \
+	   $(DESTDIR)/usr/share/coz-profiler/viewer/lib/d3/d3-tip.min.js
 
 	# Use fonts-font-awesome from Debian instead of embedded copy
 	$(RM) -r $(DESTDIR)/usr/share/coz-profiler/viewer/lib/font-awesome
@@ -32,7 +40,15 @@
 	$(RM) $(DESTDIR)/usr/share/coz-profiler/viewer/lib/science/LICENSE.txt
 
 override_dh_auto_test:
-	$(MAKE) check
+	if [ "$$(cat /proc/sys/kernel/perf_event_paranoid)" -le 2 ] ; then \
+	  $(MAKE) check; \
+	else \
+	  echo ; \
+	  echo "***********************************************************"; \
+	  echo "error: not running test suite, /proc/sys/kernel/perf_event_paranoid value too high"; \
+	  echo "***********************************************************"; \
+	  echo ; \
+	fi
 
 override_dh_auto_build:
 	dh_auto_build -- CC=cc CXX=c++ GIT=true
