=== benchmarks/Makefile ===
ROOT := ..
DIRS := histogram kmeans linear_regression matrix_multiply \
        pbzip2 pca producer_consumer string_match sqlite \
				sqlite-modified toy word_count

include $(ROOT)/common.mk
