=== benchmarks/kmeans/Makefile ===
ROOT    := ../..
TARGETS := kmeans
LIBS    := -lpthread
CFLAGS  := -g -O2

include $(ROOT)/benchmark.mk

BENCH_LARGE_ARGS := -d 3 -c 100 -p 100000 -s 1000
BENCH_SMALL_ARGS := -d 3 -c 100 -p 10000 -s 100
