=== benchmarks/pca/Makefile ===
ROOT    := ../..
TARGETS := pca
LIBS    := -lpthread
CFLAGS  := -g -O2

include $(ROOT)/benchmark.mk

BENCH_LARGE_ARGS := > /dev/null
BENCH_SMALL_ARGS := > /dev/null
