=== benchmarks/producer_consumer/Makefile ===
ROOT     := ../..
TARGETS  := producer_consumer
LIBS     := -lpthread
CXXFLAGS := -g -O2

include $(ROOT)/benchmark.mk
