=== benchmarks/sqlite-modified/Makefile ===
ROOT    := ../..
TARGETS := sqlite-bench
LIBS    := -lpthread -ldl
CFLAGS  := -g -O2 -DSQLITE_THREADSAFE=2 -I.

include $(ROOT)/benchmark.mk
