=== debian/changelog ===
coz-profiler (0.2.2-3) unstable; urgency=medium

  * QA upload.

  * Drop MIA maintainer Lluís Vilanova and orphan package.  Many
    thanks for all his good work.
  * Replaced obsolete build dependency pkg-config with pkgconf.
  * Update watch file format version to 4.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.7.0, no changes needed.
  * Added override_dh_clean build rule to make build rebuildable
    (Closes: #1044911).
  * Moved git repository to salsa Debian group.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 09 May 2024 11:08:30 +0200

coz-profiler (0.2.2-2) unstable; urgency=medium

  [ Lluis Vilanova ]
  * Adjusted autopkgtest checks to not fail when the kernel perf access
    block them from running.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 05 Sep 2020 11:17:25 +0200

coz-profiler (0.2.2-1) unstable; urgency=medium

  [ Lluis Vilanova ]
  * New upstream version.
  * Depend only on Python3 packages (Closes: #936336).
  * Adapt patches to new upstream version
  * Update debhelper compatibility.
  * Remove testsuite in debian/control.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 02 Sep 2020 18:53:33 +0200

coz-profiler (0.1.0-2) unstable; urgency=medium

  * Quiet down build rules a bit.
  * Adjust build to avoid underlinking when linker uses --as-needed
    (Closes: #854031).

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 01 Jul 2017 22:32:14 +0000
