=== debian/control ===
--- 
+++ 
@@ -1,29 +1,26 @@
 Source: coz-profiler
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Lluís Vilanova <vilanova@ac.upc.edu>
-Uploaders: Petter Reinholdtsen <pere@debian.org>
-Build-Depends: debhelper (>= 9~)
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13)
  , clang
- , python
- , pkg-config
+ , python3
+ , pkgconf
  , libelfin-dev (>= 0.2)
  , fonts-font-awesome
  , libjs-jquery
  , libjs-d3
  , libjs-d3-tip
- , python-docutils
-Testsuite: autopkgtest
-Standards-Version: 3.9.8
+ , python3-docutils
+Standards-Version: 4.7.0
 Homepage: http://coz-profiler.org/
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-coz/coz-profiler.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-coz/coz-profiler.git
+Vcs-Browser: https://salsa.debian.org/debian/coz-profiler
+Vcs-Git: https://salsa.debian.org/debian/coz-profiler.git
 
 Package: coz-profiler
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
- , python
+ , python3
  , fonts-font-awesome
  , libjs-jquery
  , libjs-d3
