=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	$(RM) $(DESTDIR)/usr/share/coz-profiler/viewer/lib/science/LICENSE.txt
 
 override_dh_auto_test:
-	if [ "$$(cat /proc/sys/kernel/perf_event_paranoid)" -le 2 ] ; then \
+	@if [ "$$(cat /proc/sys/kernel/perf_event_paranoid)" -le 2 ] ; then \
 	  $(MAKE) check; \
 	else \
 	  echo ; \
@@ -52,3 +52,7 @@
 
 override_dh_auto_build:
 	dh_auto_build -- CC=cc CXX=c++ GIT=true
+
+override_dh_clean:
+	dh_clean
+	$(RM) coz-profilerConfig.cmake
