=== debian/watch ===
version=4
https://github.com/plasma-umass/coz/releases /plasma-umass/coz/archive/(.+).tar.gz
